Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class SvcMsgVariable

`java.lang.Object
oracle.jbo.common.SvcMsgVariable`

All Implemented Interfaces:
  java.io.Serializable

public final class SvcMsgVariable
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static int` | `VARIABLE_ADD`
`static int` | `VARIABLE_CLEAR_ALL`
`static int` | `VARIABLE_REMOVE`
`static int` | `VARIABLE_SET_VALUE`
`static int` | `VARIABLE_UPDATE`

Constructor Summary
`SvcMsgVariable()`
`SvcMsgVariable(int oper, int remoteId, Variable var, java.lang.String name, java.lang.Object value)`

Method Summary
`java.lang.String` | `getName()`
`int` | `getOperation()`
`java.lang.Object` | `getValue()`
`Variable` | `getVariable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VARIABLE_UPDATE

    public static final int VARIABLE_UPDATE

  See Also:
    Constant Field Values

### VARIABLE_ADD

    public static final int VARIABLE_ADD

  See Also:
    Constant Field Values

### VARIABLE_REMOVE

    public static final int VARIABLE_REMOVE

  See Also:
    Constant Field Values

### VARIABLE_SET_VALUE

    public static final int VARIABLE_SET_VALUE

  See Also:
    Constant Field Values

### VARIABLE_CLEAR_ALL

    public static final int VARIABLE_CLEAR_ALL

  See Also:
    Constant Field Values

Constructor Detail

### SvcMsgVariable

    public SvcMsgVariable()

### SvcMsgVariable

    public SvcMsgVariable(int oper,
                          int remoteId,
                          Variable var,
                          java.lang.String name,
                          java.lang.Object value)

Method Detail

### getOperation

    public int getOperation()

### getVariable

    public Variable getVariable()

### getName

    public java.lang.String getName()

### getValue

    public java.lang.Object getValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.